Subject: Re: Problems with Perl LWP and CYGSSL.DLL
From: "Gerrit P. Haase" <[email-masked]>
To: Tommy Butler <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Aug 2002 00:03:11 +0200

Hallo Tommy,

Am Donnerstag, 29. August 2002 um 17:41 schriebst du:

> I'm having problems using LWP.pm (libwww extension for Perl) with my cygwin Perl
> binary.

[...]

>>C:\cygwin\bin\perl -w testLWPcookies.pl
> C:\CYGWIN\BIN\PERL.EXE: *** couldn't allocate memory 0x10000(4128768) for
> 'C:\CYGWIN\BIN\CYGSSL.DLL' alignment, Win32 error 8
> 
>     290 [main] perl 1804607 sync_with_child: child -1760391(0xE4) died before
> initialization with status code 0x1
>     380 [main] perl 1804607 sync_with_child: *** child state child loading dlls
> C:\CYGWIN\BIN\PERL.EXE: *** couldn't allocate memory 0x10000(4128768) for
> 'C:\CYGWIN\BIN\CYGSSL.DLL' alignment, Win32 error 8

Looks like the problem which was discussed in another thread recently,
C. Faylor suggested that there may be two (different) cygwin1.dll's on
your system.

> How do I go about fixing this?

You know that you are still using
"This is perl, v5.6.1 built for cygwin-multi"
but also have  C:\cygwin\bin\cygperl5_8_0.dll
installed?

Which from the SSL modules do you use?
There are two possibilities, I installed Crypt::SSLeay (0.45)
to do the test which works for me with perl-5.8 (NT4):

$ ./perllwp.pl
HTTP/1.1 200 OK
Cache-Control: must-revalidate
Connection: close
Date: Thu, 29 Aug 2002 21:50:40 GMT
Server: Apache/1.3.26 (Unix) PHP/4.1.2 mod_ssl/2.8.9 OpenSSL/0.9.6b
Content-Type: text/html
Content-Type: text/html; charset=iso-8859-1
Expires: Wed, 11 Nov 1998 11:11:11 GMT
Client-Date: Thu, 29 Aug 2002 21:52:14 GMT
Client-Response-Num: 1
Client-SSL-Cert-Issuer: /C=ZA/ST=Western Cape/L=Cape Town/O=Thawte Consulting cc/OU=Certification Services Division/CN=Thawte Server CA/Email=[email-masked]
Client-SSL-Cert-Subject: /C=US/ST=California/L=Fremont/O=VA Software Inc./OU=SourceForge/CN=sourceforge.net
Client-SSL-Cipher: EDH-RSA-DES-CBC3-SHA
Client-SSL-Warning: Peer certificate not verified
Client-Transfer-Encoding: chunked
Link: <//sourceforge.net/cssdef.php>; rel="stylesheet"; type="text/css"
Link: </images/favicon.ico>; rel="SHORTCUT ICON"
Title: SourceForge.net: Login
X-Powered-By: PHP/4.1.2

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/